Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        ' Declare an array variable of 3 elements.
        Dim Sales(2) As Double
        
        ' Assign values to each element.
        Sales(0) = 5245.0
        Sales(1) = 4785.0
        Sales(2) = 7365.5

        ' Alternatively, you can declare
        ' Dim Sales() As Double = {5245, 4785, 7365.5}

        ' Declare a regular variable.
        Dim Quarter As Double

        ' Totalize the element values.
        Quarter = Sales(0) + Sales(1) + Sales(2)

        ' Display the total formatted as local currency.
        MsgBox("Quarter Sales: " & FormatCurrency(Quarter))

        ' Uncomment the next line to witness an Out Of Range error.
        'MsgBox(Sales(3))

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click

        ' Declare an array variable of 3x2 elements.
        Dim Sales(2, 1) As Double

        ' Assign values to each element.
        Sales(0, 0) = 1255 : Sales(1, 0) = 1845.5 : Sales(2, 0) = 1065
        Sales(0, 1) = 2175 : Sales(1, 1) = 2215.5 : Sales(2, 1) = 2453

        ' Alternatively, you can declare
        ' Dim Sales(,) As Double = {{1, 2, 3}, {4, 5, 6}}

        ' Declare two regular variables.
        Dim Store1, Store2 As Double

        ' Totalize the element values.
        Store1 = Sales(0, 0) + Sales(1, 0) + Sales(2, 0)
        Store2 = Sales(0, 1) + Sales(1, 1) + Sales(2, 1)

        ' Display the totals formatted as local currency.
        MsgBox("Quarter Sales... " & vbCrLf & _
        "Store 1 : " & FormatCurrency(Store1) & vbCrLf & _
        "Store 2 : " & FormatCurrency(Store2))

    End Sub
End Class
