Public Class Form1

    ' A variable to store the stream.
    Dim txt As String

    Private Sub OpenBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OpenBtn.Click

        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then

            ' Create a new FileStream object.
            Dim stream As New System.IO.FileStream( _
            OpenFileDialog1.FileName, System.IO.FileMode.Open)
            Dim reader As New System.IO.StreamReader(stream)

            ' Read the stream into the variable.
            txt = reader.ReadToEnd

            ' Release resources.
            reader.Dispose() : stream.Dispose()

            ' Display the streamed text.
            TextBox1.Text = txt

        End If

    End Sub

    Private Sub PrintBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PrintBtn.Click

        ' Configure some Print Dialog options.
        'PrintDialog1.AllowSomePages = True
        PrintDialog1.ShowHelp = True


        ' Fire the Print Page event.
        If PrintDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then

            ' If the variable is not empty.
            If txt <> "" Then
                PrintDocument1.Print()
            End If
        End If



    End Sub

    Private Sub PrintDocument1_PrintPage(ByVal sender As System.Object, ByVal e As System.Drawing.Printing.PrintPageEventArgs) Handles PrintDocument1.PrintPage

        ' Page capacity.
        Dim charsOnPage As Integer

        ' Calculate the number of characters that will fit on the page.
        e.Graphics.MeasureString(txt, Me.Font, e.MarginBounds.Size, _
        StringFormat.GenericTypographic, charsOnPage, 0)


        ' Print the variable text.
        e.Graphics.DrawString(txt, Me.Font, Brushes.Black, _
        e.MarginBounds, StringFormat.GenericTypographic)

        ' Remove the part of the string already printed.
        txt = txt.Substring(charsOnPage)

        ' Check for more pages to print.
        e.HasMorePages = txt.Length > 0

    End Sub
End Class
